package com.ruoyi.inventory.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.web.servlet.config.annotation.EnableWebMvc;

import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class TbInventoryCompare extends BaseEntity {
    @Excel(name = "盘点物品名称")
    private String inventoryName;

    @Excel(name = "盘点位置")
    private String inventoryLocationName;

    @Excel(name = "最近盘点的资产数量")
    private Integer firstInventoryNumber;

    @Excel(name = "最近盘点前一次盘点的资产数量")
    private Integer secondInventoryNumber;

    @Excel(name = "数量损耗")
    private Integer lossNumber;

    /** 计量单位 */
    @Excel(name = "计量单位")
    private String units;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "最近的盘点日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date inventoryDate;

}
